Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.etee.crypto.policies
Class SigningOptions

    java.lang.Object
      be.fgov.ehealth.etee.crypto.policies.SigningOptions

All Implemented Interfaces:
  java.util.Map<SigningOption,java.lang.Object>

    public final class SigningOptions

extends java.lang.Object

Convenience class to build (default) Signing Options.

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Constructor Summary
`SigningOptions()`

Method Summary
`void` | `clear()`
`boolean` | `containsKey(java.lang.Object key)`
`boolean` | `containsValue(java.lang.Object value)`
`static SigningOptions` | `create()` Creates an empty instance of `SigningOptions`.
`static SigningOptions` | `defaultOptions()` Creates a new instance of `SigningOptions` and initializes with the default options.
`java.util.Set<java.util.Map.Entry<K,V>>` | `entrySet()`
`boolean` | `equals(java.lang.Object obj)`
`V` | `get(java.lang.Object key)`
`java.lang.Boolean` | `getBoolean(SigningOption signingOption)`
`java.security.cert.CertStore` | `getCertStore(SigningOption signingOption)`
`java.lang.Integer` | `getInteger(SigningOption signingOption)`
`java.security.KeyStore` | `getKeyStore(SigningOption signingOption)`
`java.lang.Long` | `getLong(SigningOption signingOption)`
`java.lang.String` | `getString(SigningOption signingOption)`
`int` | `hashCode()`
`boolean` | `isEmpty()`
`java.util.Set<K>` | `keySet()`
`V` | `put(K key, V value)`
`void` | `putAll(java.util.Map<? extends K,? extends V> m)`
`V` | `remove(java.lang.Object key)`
`SigningOptions` | `set(SigningOption option, java.lang.Object value)` Override a default SigningOption.
`SigningOptions` | `setAll(java.util.Map<SigningOption,java.lang.Object> options)`
`int` | `size()`
`java.lang.String` | `toString()`
`java.util.Collection<V>` | `values()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SigningOptions

    public SigningOptions()

Method Detail

### defaultOptions

    public static SigningOptions defaultOptions()

  Creates a new instance of `SigningOptions` and initializes with the default options.

  Returns:
    A new instance of SigningOptions.

### create

    public static SigningOptions create()

  Creates an empty instance of `SigningOptions`.

  Returns:
    An empty instance of SigningOptions.

### set

    public SigningOptions set(SigningOption option,
                              java.lang.Object value)

  Override a default SigningOption.

  Parameters:
    `option` - The SigningOption that needs to be overridden.
    `value` - The new value of the given SigningOption.
  Returns:
    This instance of SigningOptions. This enables chaining.

### setAll

    public SigningOptions setAll(java.util.Map<SigningOption,java.lang.Object> options)

### getString

    public java.lang.String getString(SigningOption signingOption)

### getBoolean

    public java.lang.Boolean getBoolean(SigningOption signingOption)

### getKeyStore

    public java.security.KeyStore getKeyStore(SigningOption signingOption)

### getCertStore

    public java.security.cert.CertStore getCertStore(SigningOption signingOption)

### getLong

    public java.lang.Long getLong(SigningOption signingOption)

### getInteger

    public java.lang.Integer getInteger(SigningOption signingOption)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Specified by:
    `equals` in interface `java.util.Map<SigningOption,java.lang.Object>`
  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `java.util.Map<SigningOption,java.lang.Object>`
  Overrides:
    `hashCode` in class `java.lang.Object`

### size

    public int size()

  Specified by:
    `size` in interface `java.util.Map<K,V>`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `java.util.Map<K,V>`

### containsKey

    public boolean containsKey(java.lang.Object key)

  Specified by:
    `containsKey` in interface `java.util.Map<K,V>`

### containsValue

    public boolean containsValue(java.lang.Object value)

  Specified by:
    `containsValue` in interface `java.util.Map<K,V>`

### get

    public V get(java.lang.Object key)

  Specified by:
    `get` in interface `java.util.Map<K,V>`

### put

    public V put(K key,
                 V value)

  Specified by:
    `put` in interface `java.util.Map<K,V>`

### remove

    public V remove(java.lang.Object key)

  Specified by:
    `remove` in interface `java.util.Map<K,V>`

### putAll

    public void putAll(java.util.Map<? extends K,? extends V> m)

  Specified by:
    `putAll` in interface `java.util.Map<K,V>`

### clear

    public void clear()

  Specified by:
    `clear` in interface `java.util.Map<K,V>`

### keySet

    public java.util.Set<K> keySet()

  Specified by:
    `keySet` in interface `java.util.Map<K,V>`

### values

    public java.util.Collection<V> values()

  Specified by:
    `values` in interface `java.util.Map<K,V>`

### entrySet

    public java.util.Set<java.util.Map.Entry<K,V>> entrySet()

  Specified by:
    `entrySet` in interface `java.util.Map<K,V>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2018 eHealth. All Rights Reserved.